SELECT ID_BANCO_DADOS,
        CPF,
        NOME,
        ANIVERSARIO,
        ID_BANCO_DADOS_2
        NOME,
        ENDERECO
FROM BANCO_DADOS BD INNER JOIN 
BANCO_DADOS_DOIS BD2
ON BD.ID_BANCO_DADOS = BD2.ID_BANCO_DADOS
WHERE BD.NOME = 'TESTE';
--ON BD.ID_BANCO_DADOS = BD2.ID_BANCO_DADOS AND BD.ID_BANCO_DADOS > 1;
--ON BD.ID_BANCO_DADOS = BD2.ID_BANCO_DADOS OR BD.ID_BANCO_DADOS > 1;

--INSERT INTO BANCO_DADOS_DOIS(ID_BANCO_DADOS_2, ID_BANCO_DADOS, NOME, ENDERECO)
--VALUES (BANCO_DADOS_DOS_SEQ.nextval, 1, 'TESTE BANCO DOIS', 'QUALQUER');
    
/*SELECT ID_BANCO_DADOS,
        CPF,
        NOME,
        ANIVERSARIO,
        ID_BANCO_DADOS_2
        NOME,
        ENDERECO
FROM BANCO_DADOS BD LEFT JOIN 
BANCO_DADOS_DOIS BD2
ON BD.ID_BANCO_DADOS = BD2.ID_BANCO_DADOS; */

/*ALTER TABLE BANCO_DADOS_DOIS
DROP CONSTRAINT SYS_C006993;*/

/*SELECT ID_BANCO_DADOS,
        CPF,
        BD.NOME,
        ANIVERSARIO,
        ID_BANCO_DADOS_2,
        BD2.NOME AS NOMEBD2,
        ENDERECO
FROM BANCO_DADOS BD FULL JOIN 
BANCO_DADOS_DOIS BD2
ON BD.ID_BANCO_DADOS = BD2.ID_BANCO_DADOS;*/

/*SELECT ID_BANCO_DADOS,
        CPF,
        BD.NOME,
        ANIVERSARIO,
        ID_BANCO_DADOS_2,
        BD2.NOME AS NOMEBD2,
        ENDERECO
FROM BANCO_DADOS BD CROSS JOIN 
BANCO_DADOS_DOIS BD2; */

-- SELECT DISTINCT BD.NOME FROM BANCO_DADOS BD CROSS JOIN BANCO_DADOS_DOIS BD2;

SELECT ID_BANCO_DADOS,
        CPF,
        BD.NOME    
FROM BANCO_DADOS BD UNION 
SELECT ID_BANCO_DADOS_2, BD2.NOME AS NOMEBD2, ENDERECO FROM BANCO_DADOS_DOIS BD2;

SELECT * FROM BANCO_DADOS WHERE ID_BANCO_DADOS NOT IN (1, 4);

SELECT * FROM BANCO_DADOS WHERE NOME LIKE 'TESTE';
SELECT * FROM BANCO_DADOS WHERE NOME IS NULL;
-- '%STE%'

-- = igual
-- < menor que
-- > maior que
-- <> diferente que







